Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QFtp.State

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QFtp.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFtp

    public static final class QFtp.State

extends java.lang.Enum
implements QtEnumerator

This enum defines the connection state.

See also:
  `stateChanged()` , and `state()`.

See Also:
  Serialized Form

Field Summary
`static QFtp.State` | `Closing` The connection is closing down, but it is not yet closed.
`static QFtp.State` | `Connected` Connection to the host has been achieved.
`static QFtp.State` | `Connecting` An attempt to connect to the host is in progress.
`static QFtp.State` | `HostLookup` A host name lookup is in progress.
`static QFtp.State` | `LoggedIn` Connection and user login have been achieved.
`static QFtp.State` | `Unconnected` There is no connection to the host.

Method Summary
`static QFtp.State` | `resolve(int value)` Returns the QFtp$State constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.State` | `valueOf(java.lang.String name)`
`static QFtp.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Unconnected

    public static final QFtp.State Unconnected

  There is no connection to the host.

### HostLookup

    public static final QFtp.State HostLookup

  A host name lookup is in progress.

### Connecting

    public static final QFtp.State Connecting

  An attempt to connect to the host is in progress.

### Connected

    public static final QFtp.State Connected

  Connection to the host has been achieved.

### LoggedIn

    public static final QFtp.State LoggedIn

  Connection and user login have been achieved.

### Closing

    public static final QFtp.State Closing

  The connection is closing down, but it is not yet closed. (The state will be `Unconnected` when the connection is closed.)

Method Detail

### values

    public static QFtp.State[] values()

### valueOf

    public static QFtp.State valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.State resolve(int value)

  Returns the QFtp$State constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD